<?php

namespace Planaday\Config\General\Debug;

use Planaday\Config\General\GeneralOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum DebugOptionsEnum: string implements OptionGroupEnum {

	case ENABLE_FONT_AWESOME = 'ENABLE_FONT_AWESOME';

	case SEND_DEBUG_LOGS = 'SEND_DEBUG_LOGS';

	case BASE_URL_OVERRIDE = 'BASE_URL_OVERRIDE';
	case UrlRegistration = 'UrlRegistration';

	public static function getClassName(): string {
		return DebugSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return GeneralOptionsEnum::DEBUG;
	}
}